=begin
#Platform external API.

#Documentation of our Platform external API.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

require 'spec_helper'
require 'json'
require 'date'

# Unit tests for Shippo::ParcelTemplate
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'ParcelTemplate' do
  before do
    # run before each test
    @instance = Shippo::ParcelTemplate.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ParcelTemplate' do
    it 'should create an instance of ParcelTemplate' do
      expect(@instance).to be_instance_of(Shippo::ParcelTemplate)
    end
  end
  describe 'test attribute "distance_unit"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
      # validator = Shippo::EnumTest::EnumAttributeValidator.new('String', ["cm", "in", "ft", "m", "mm", "yd"])
      # validator.allowable_values.each do |value|
      #   expect { @instance.distance_unit = value }.not_to raise_error
      # end
    end
  end

  describe 'test attribute "height"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  describe 'test attribute "is_default"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  describe 'test attribute "length"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  describe 'test attribute "mass_unit"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
      # validator = Shippo::EnumTest::EnumAttributeValidator.new('String', ["g", "kg", "lb", "oz"])
      # validator.allowable_values.each do |value|
      #   expect { @instance.mass_unit = value }.not_to raise_error
      # end
    end
  end

  describe 'test attribute "name"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  describe 'test attribute "object_id"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  describe 'test attribute "template"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
      # validator = Shippo::EnumTest::EnumAttributeValidator.new('String', ["FedEx_Box_10kg", "FedEx_Box_25kg", "FedEx_Box_Extra_Large_1", "FedEx_Box_Extra_Large_2", "FedEx_Box_Large_1", "FedEx_Box_Large_2", "FedEx_Box_Medium_1", "FedEx_Box_Medium_2", "FedEx_Box_Small_1", "FedEx_Box_Small_2", "FedEx_Envelope", "FedEx_Padded_Pak", "FedEx_Pak_1", "FedEx_Pak_2", "FedEx_Tube", "FedEx_XL_Pak", "UPS_Box_10kg", "UPS_Box_25kg", "UPS_Express_Box", "UPS_Express_Box_Large", "UPS_Express_Box_Medium", "UPS_Express_Box_Small", "UPS_Express_Envelope", "UPS_Express_Hard_Pak", "UPS_Express_Legal_Envelope", "UPS_Express_Pak", "UPS_Express_Tube", "UPS_Laboratory_Pak", "UPS_MI_BPM", "UPS_MI_BPM_Flat", "UPS_MI_BPM_Parcel", "UPS_MI_First_Class", "UPS_MI_Flat", "UPS_MI_Irregular", "UPS_MI_Machinable", "UPS_MI_MEDIA_MAIL", "UPS_MI_Parcel_Post", "UPS_MI_Priority", "UPS_MI_Standard_Flat", "UPS_Pad_Pak", "UPS_Pallet", "USPS_FlatRateCardboardEnvelope", "USPS_FlatRateEnvelope", "USPS_FlatRateGiftCardEnvelope", "USPS_FlatRateLegalEnvelope", "USPS_FlatRatePaddedEnvelope", "USPS_FlatRateWindowEnvelope", "USPS_IrregularParcel", "USPS_LargeFlatRateBoardGameBox", "USPS_LargeFlatRateBox", "USPS_APOFlatRateBox", "USPS_LargeVideoFlatRateBox", "USPS_MediumFlatRateBox1", "USPS_MediumFlatRateBox2", "USPS_RegionalRateBoxA1", "USPS_RegionalRateBoxA2", "USPS_RegionalRateBoxB1", "USPS_RegionalRateBoxB2", "USPS_SmallFlatRateBox", "USPS_SmallFlatRateEnvelope", "USPS_SoftPack", "DHLeC_Irregular", "DHLeC_SM_Flats", "couriersplease_500g_satchel", "couriersplease_1kg_satchel", "couriersplease_3kg_satchel", "couriersplease_5kg_satchel", "Fastway_Australia_Satchel_A2", "Fastway_Australia_Satchel_A3", "Fastway_Australia_Satchel_A4", "Fastway_Australia_Satchel_A5"])
      # validator.allowable_values.each do |value|
      #   expect { @instance.template = value }.not_to raise_error
      # end
    end
  end

  describe 'test attribute "weight"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  describe 'test attribute "width"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
